# QVM: Quaternions, Vectors, Matrices

### col_mat

#include <boost/qvm/map_vec_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- col_mat( A & a );
        }
    }

The expression col_mat(v) returns a view proxy that accesses the vector v as a column matrix.

See also: boost/qvm/map_vec_mat.hpp | View Proxy